@import url("https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap");

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  list-style: none;
}

html {
  scroll-behavior: smooth;
}

body {
  height: auto;
  font-family: "Inter", sans-serif;
}

.mobNav {
  height: 50px;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background: #fff;
  position: fixed;
}

.items {
  height: 0;
}

.invisible {
  display: none;
}

.closeBtn {
  display: flex;
  justify-content: flex-end;
}

.subItems a {
  list-style-type: none;
  font-style: normal;
  font-weight: 600;
  font-size: 32px;
  line-height: 44px;
  text-decoration: none;
  margin-top: 400px;
  margin-left: 28px;
  color: #3a4a42;
}

.subItem {
  margin-bottom: 40px;
}

.firstTitle {
  font-size: 20px;
  font-weight: 600;
  line-height: 28px;
  color: #28352f;
  margin-left: 20px;
}

.hamburger {
  display: flex;
  flex-direction: column;
  gap: 3px;
  padding-right: 32px;
  cursor: pointer;
}

@media (max-width: 768px) {
  .navLinks {
    display: none;
  }
}

@media (min-width: 768px) {
  .hamItems {
    display: none;
  }
}

.hamItems {
  position: fixed;
  width: 100%;
  height: 100%;
  background: #fff;
}

.btnX {
  font-size: 40px;
  color: #67798e;
  background-color: transparent;
  border-color: transparent;
  padding: 10px;
  margin-right: 20px;
  margin-top: 10px;
}

.stroke {
  width: 20px;
  height: 3px;
  background-color: #28352f;
  border-radius: 8px;
  list-style-type: none;
}

.heroIntro {
  background: url("https://kgomotso196.github.io/MyPortfolio/pngFiles/mobileView.png");
  background-repeat: no-repeat;
  background-size: 100%;
  width: 100%;
  height: auto;
}

.heroIntroContainer {
  width: 90%;
  height: auto;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
}

.heroIntroHeading {
  width: 100%;
  color: #172b4d;
  margin-bottom: 1rem;
  font-style: normal;
  font-weight: 700;
  font-size: 40px;
  line-height: 52px;
  text-align: center;
  padding-top: 85px;
  margin-left: 18px;
}

.heroIntroDescription {
  margin-bottom: 1rem;
  font-style: normal;
  font-weight: 400;
  font-size: 20px;
  line-height: 28px;
  text-align: center;
  color: #172b4d;
  margin-left: 18px;
}

.socialIcons {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 1.5em;
  cursor: pointer;
  list-style-type: none;
  margin-top: 32px;
}

.spanText {
  color: #1d5d46;
}

.scrollButton {
  margin-top: 64px;
  display: flex;
  justify-content: center;
}

@media screen and (max-width: 1920px) and (min-width: 768px) {
  .hamburger,
  .firstTitle {
    display: none;
  }

  .heroIntroContainer {
    padding-top: 140px;
    width: 95%;
  }

  .heroIntroDescription {
    width: 65%;
    text-align-last: center;
    margin-left: 250px;
    font-weight: 400;
    font-size: 20px;
    line-height: 32px;
    color: #172b4d;
  }

  .heroIntroHeading {
    font-weight: 800;
    font-size: 48px;
    line-height: 60px;
    letter-spacing: 0.37px;
    color: #172b4d;
  }

  .heroIntro {
    background: url("https://kgomotso196.github.io/MyPortfolio/pngFiles/desktopView.png");
    background-repeat: no-repeat;
    background-size: 100%;
    width: 100%;
    padding-bottom: 280px;
  }

  .mobNav {
    position: fixed;
    display: flex;
    justify-content: center;
  }

  .navLinks {
    display: flex;
  }

  .navLinksEffect a {
    padding: 10px 12px;
    color: #344563;
    font-style: normal;
    font-weight: 600;
    font-size: 15px;
    line-height: 20px;
    cursor: pointer;
    display: flex;
  }

  .navLinksEffect:hover {
    transform: scale(1.3);
  }

  .icons:hover {
    transform: scale(1.3);
  }
}
